package com.android.gallery3d.filtershow.filters;

import com.android.gallery3d.R;
import com.android.gallery3d.filtershow.ui.Spline;

/**
 * TODO: Insert description here. (generated by hoford)
 */
public class FilterCurvesRepresentation extends FilterRepresentation {
    private Spline[] mSplines = new Spline[4];

    public FilterCurvesRepresentation() {
        super("Curves");
        setFilterClass(ImageFilterCurves.class);
        setTextId(R.string.curvesRGB);
        setButtonId(R.id.curvesButtonRGB);
        setOverlayId(R.drawable.filtershow_button_colors_curve);
        setEditorId(R.id.imageCurves);
        setShowEditingControls(false);
        setShowParameterValue(false);
        setShowUtilityPanel(true);
        for (int i = 0; i < mSplines.length; i++) {
            mSplines[i] = new Spline();
            mSplines[i].reset();
        }
    }

    public boolean isNil() {
        for (int i = 0; i < 4; i++) {
            if (getSpline(i) != null && !getSpline(i).isOriginal()) {
                return false;
            }
        }
        return true;
    }

    public void reset() {
        Spline spline = new Spline();

        spline.addPoint(0.0f, 1.0f);
        spline.addPoint(1.0f, 0.0f);

        for (int i = 0; i < 4; i++) {
            mSplines[i] = new Spline(spline);
        }
    }

    public void setSpline(int splineIndex, Spline s) {
        mSplines[splineIndex] = s;
    }
    public Spline getSpline(int splineIndex) {
        return mSplines[splineIndex];
    }
}
